
local L = AceLibrary("AceLocale-2.2"):new("CraftList2")


L:RegisterTranslations("enUS", function() return {

	["Chest"] = true,
	["Boots"] = true,
	["Bracer"] = true,
	["Gloves"] = true,
	["Cloak"] = true,
	["Shield"] = true,
	["Ring"] = true,
	
	["Weapon"] = true,
	["Armor"] = true,
	["Enchant Weapon"] = true,
	["Gem"] = true,
	
	["Show incoming requests"] = true,
	["Show your replies"] = true,
	
	["AFK"] = true,
	["DND"] = true,
	
	["Maximum results"] = true,
	["Maximum of results sent to someone (0=no limit)"] = true,
	
	["Active Professions"] = true,
	["Check here what professions you want to track"] = true,
	["Active Crafts"] = true,
	["Uncheck here crafts you want to be ignored"] = true,
	["Triggers"] = true,
	
	["Error! Cannot enchant that."] = true,
	["Database is currently empty."] = true,
	
	["Usage: !enchant <any combination of keywords and itemlinks>"] = true,
	["Usage: example: !enchant [Ashbringer] 35 heal"] = true,
	
	["Usage: !gem <any combination of color/stat/reagent/text>"] = true,
	["Usage: example: !gem red, !gem [Talasite], !gem 5 strength"] = true,
	
	["Usage: !craft <any combination of reagent/text>"] = true,
	["Usage: example: !craft belt of blasting, !craft belt [Primal Fire]"] = true,
	
	["Nothing found."] = true,
	["%d result(s)."] = true,
	["Maximum results exceeded, be more specific or use '%s next' to get next results (%d result(s) remaining)."] = true,
	
	
	["Reset all data"] = true,
	["Reset all stored data for all characters"] = true,
	
	["Local Test"] = true,
	["Local test for %s"] = true,
	["Print locally results of a query"] = true,
	["Arguments for %s"] = true,
	
	["Poor"] = true,
	["Common"] = true, 
	["Uncommon"] = true,
	["Rare"] = true,
	["Epic"] = true,
	["Legendary"] = true,
	
	["Monitor Guildchat"] = true,
	["Monitor Guildchat (results are whispered back)"] = true,
	["Results for "] = true,

	["Only current character"] = true,
	["Limit search to the connected character's known crafts"] = true,
	
	["Short Guildchat answer"] = true,
	["Only whispers # of results instead of the actual results when queried on guildchat"] = true,
	["Whisper me the same command to get the actual results."] = true,
	
	["green"] =true,
	["blue"] = true,
	["yellow"] = true,
	["red"] = true,
	["purple"] = true,
	["orange"] = true,
	
	["Menu"] = true,
	["Send a list to a player"]=true,
	["playername query"] = true,
	["Send"]=true,
	
	["Check all"] = true,
	["Uncheck all"] = true,
	
	["Delete profession"] = true,
	["Delete this profession from the CraftList2 database"] = true,
	
	["Summary"] = true,
	["Print a summary locally after a query"] = true,
	["Summary: %s result(s) for \"%s\" from %s"] = true,
	
	["Monitor Whispers"] = true,
	["Monitor Whispers (results are whispered back)"] = true,
	
} end )


L:RegisterTranslations("frFR", function() return {

	["Chest"] = "Plastron",
	["Boots"] = "Bottes",
	["Bracer"] = "Bracelet",
	["Gloves"] = "Gants",
	["Cloak"] = "Cape",
	["Shield"] = "Bouclier",
	["Ring"] = "Anneau",
	
	["Weapon"] = "Arme",
	["Armor"] = "Armure",
	["Enchant Weapon"] = "Ench. d'arme (",
	["Gem"] = "Gemme",

	["Show incoming requests"] = "Afficher les demandes", 
	["Show your replies"] = "Afficher vos r\195\169ponses",
	
	["AFK"] = "ABS",
	["DND"] = "NPD",
	
	["Maximum results"] = "Resulats maximum",
	["Maximum of results sent to someone (0=no limit)"] = "Nombre de r\195\169sultats maximum envoy\195\169 a quelqu'un (0=pas de limite)",
	
	["Active Professions"] = "Professions actives",
	["Check here what professions you want to track"] = "Cochez les professions que vous voulez surveiller",
	["Active Crafts"] = "Crafts actifs",
	["Uncheck here crafts you want to be ignored"] = "D\195\169cochez les crafts que vous voulez ignorer",
	
	["Triggers"] = "D\195\169clencheurs",
	
	["Error! Cannot enchant that."] = "Erreur! Je ne peux pas enchanter ca.",
	["Database is currently empty."] = "La base de donn\195\169e est actuellement vide.",
	
	["Usage: !enchant <any combination of keywords and itemlinks>"] = "Utilisation: !enchant <n'importe quelle combinaison de mots-cl\195\169s et de liens d'objets>",
	["Usage: example: !enchant [Ashbringer] 35 heal"] = "Utilisation: example: !enchant [Ashbringer] 35 soins",
	
	["Usage: !gem <any combination of color/stat/reagent/text>"] = "Utilisation: !gem <n'importe quelle combinaison de couleurs/stat/composant/texte>",
	["Usage: example: !gem red, !gem [Talasite], !gem 5 strength"] = "Utilisation: example: !gem rouge, !gem [Talasite], !gem 5 force",
	
	["Usage: !craft <any combination of reagent/text>"] = "Utilisation: !craft <n'importe quelle combinaison de composant/texte>",
	["Usage: example: !craft belt of blasting, !craft belt [Primal Fire]"] = "Utilisation: !craft ceinture, !craft ceinture [Feu Primordial]",
	
	["Nothing found."] = "Aucun r\195\169sultat trouv\195\169.",
	["%d result(s)."] = "%d  r\195\169sultat(s)",
	["Maximum results exceeded, be more specific or use '%s next' to get next results (%d result(s) remaining)."] = "Trop de r\195\169ponses, soyez plus sp\195\169cifique ou utilisez '%s next' pour avoir la suite (%d r\195\169sultats restant).",
	
	
	["Reset all data"] = "Effacer les donn\195\169es",
	["Reset all stored data for all characters"] = "Effacer toutes les donn\195\169es pour tous vos personnages",
	
	["Local Test"] = "Test local",
	["Local test for %s"] = "Test local pour %s",
	["Print locally results of a query"] = "Afficher dans votre chat les r\195\169sultats d'une demande",
	["Arguments for %s"] = "Arguments pour %s",
	
	["Poor"] = "Pauvre",
	["Common"] = "Commun", 
	["Uncommon"] = "Inhabituel",
	["Rare"] = "Rare",
	["Epic"] = "\195\169pique",
	["Legendary"] = "L\195\169gendaire",
	
	["Monitor Guildchat"] = "Surveiller le chan de guilde",
	["Monitor Guildchat (results are whispered back)"] = "Surveiller le chan de guilde (les r\195\169sultats sont renvoy\195\169s en chuchotement)",
	["Results for "] = "R\195\169sultats pour ",
	
	["Only current character"] = "Personnage connect\195\169 uniquement",
	["Limit search to the connected character's known crafts"] = "Ne rechercher des r\195\169sultats que pour le personnage actuellement connect\195\169",
	
	["Short Guildchat answer"] = "R\195\169ponse courte pour le chan de guilde",
	["Only whispers # of results instead of the actual results when queried on guildchat"] = "Ne chuchoter que le nombre de r\195\169sultats  la place des r\195\169sultats en eux-memes pour les demandes provenant du chan de guilde",
	["Whisper me the same command to get the actual results."]  = "Whispez moi la meme commande pour avoir les r\195\169sultats.",
	
	["green"]  = "vert",
	["blue"]  = "bleu",
	["yellow"] = "jaune",
	["red"]    = "rouge",
	["purple"] = "violet",
	["orange"] = "orange",
	
	["Menu"] = "Menu",
	["Send a list to a player"]= "Envoyer une liste a un joueur",
	["playername query"] = "nom_du_joueur requ\195\170te",
	["Send"]="Envoyer",
	
	["Check all"] = "Tout cocher",
	["Uncheck all"] = "Tout d\195\169cocher",
	
	["Delete profession"] = "Effacer cette profession",
	["Delete this profession from the CraftList2 database"] = "Effacer cette profession de la base de donn\195\169e de CraftList2",
	
	["Summary"] = "R\195\169sum\195\169",
	["Print a summary locally after a query"] = "Afficher un r\195\169sum\195\169 localement apr\195\168s avoir recu une requ\195\170te",
	["Summary: %s result(s) for \"%s\" from %s"] = "R\195\169sum\195\169: %s r\195\169sultat(s) pour \"%s\" provenant de %s",
	
	["Monitor Whispers"] = "Surveiller les chuchotements",
	["Monitor Whispers (results are whispered back)"] = "Surveiller les chuchotements (les r\195\169sultats sont renvoy\195\169s en chuchotement)",
	
	
} end )

L:RegisterTranslations("deDE", function() return {

	["Chest"] = "Brust",
	["Boots"] = "Stiefel",
	["Bracer"] = "Armschiene",
	["Gloves"] = "Handschuhe",
	["Cloak"] = "Umhang",
	["Shield"] = "Schild",
	["Ring"] = "Ring",

	["Weapon"] = "Waffe",
	["Armor"] = "R\195\188stung",
	["Enchant Weapon"] = "Verzauberung Waffe",
	["Gem"] = "Edelstein",

	["Show incoming requests"] = "Zeige einkommende Anfragen",
	["Show your replies"] = "Zeige deine Antworten",

	["AFK"] = "AFK",
	["DND"] = "DND",

	["Maximum results"] = "Maximale Ergebnisse",
	["Maximum of results sent to someone (0=no limit)"] = "Maximale Ergebnisse an jemanden senden (0=kein Limit)",

	["Active Professions"] = "Aktive Berufe",
	["Check here what professions you want to track"] = "Suche aus, welche Berufe du verfolgen m\195\182chtest",
	["Active Crafts"] = "Aktive Fertigkeiten",
	["Uncheck here crafts you want to be ignored"] = "W\195\164hle hier die Fertigkeiten ab, die du ignorieren m\195\182chtest",

	["Triggers"] = "Schalter",

	["Error! Cannot enchant that."] = "Fehler! Das kann ich nicht verzaubern.",
	["Database is currently empty."] = "Die Datenbank ist derzeit leer.",

	["Usage: !enchant <any combination of keywords and itemlinks>"] = "Verwendung: !enchant <beliebige Kombination von Stichworten und Itemlinks>",
	["Usage: example: !enchant [Ashbringer] 35 heal"] = "Verwendung Beispiel: !enchant [Ashbringer] 35 Heilung",

	["Usage: !gem <any combination of color/stat/reagent/text>"] = "Verwendung: !gem <beliebige Kombination von Farbe/Werte/Komponenten/Beschreibung>",
	["Usage: example: !gem red, !gem [Talasite], !gem 5 strength"] = "Verwendung Beispiel: !gem rot, !gem [Talasit], !gem 5 St\195\164rke ",

	["Usage: !craft <any combination of reagent/text>"] = "Verwendung: !craft <beliebige Kombination von Komponenten/Beschreibung>",
	["Usage: example: !craft belt of blasting, !craft belt [Primal Fire]"] = "Verwendung Beispiel: !craft Gurt der Zerst\195\182rung, !craft [Urfeuer]",

	["Nothing found."] = "Nichts gefunden.",
	["%d result(s)."] = "%d Ergebnis(se)",
	["Maximum results exceeded, be more specific or use '%s next' to get next results (%d result(s) remaining)."] = "Maximale Ergebnisse \195\188berschritten, bitte spezifizieren oder benutze '%s next' um weitere Ergebnisse zu erhalten (%d Ergebnisse \195\188brig).",


	["Reset all data"] = "Alle Daten zur\195\188cksetzen",
	["Reset all stored data for all characters"] = "Setze alle gespeicherten Daten f\195\188r alle Charaktere zur\195\188ck",

	["Local Test"] = "Lokaler Test",
	["Local test for %s"] = "Lokaler Test f\195\188r %s",
	["Print locally results of a query"] = "Drucke alle lokalen Ergebnisse einer Anfrage",
	["Arguments for %s"] = "Argumente f\195\188r %s",

	["Poor"] = "Normal",
	["Common"] = "Verbreitet",
	["Uncommon"] = "Selten",
	["Rare"] = "Rar",
	["Epic"] = "Episch",
	["Legendary"] = "Legend\195\164r",

	["Monitor Guildchat"] = "Beobachte den Gildenchat",
	["Monitor Guildchat (results are whispered back)"] = "Beobachte den Gildenchat (Ergebnisse werden zu\195\188rck gefl\195\188stert)",
	["Results for "] = "Ergebnisse f\195\188r ",

	["green"]  = "gr\195\188n",
	["blue"]  = "blau",
	["yellow"] = "gelb",
	["red"]    = "rot",
	["purple"] = "violett",
	["orange"] = "orange",
	
	["Menu"]="Men\195\188",
	["Send"] = "Senden",
	["Send a list to a player"] = "Sende eine Liste an einen Spieler",
	["playername query"] = "Spielername Abfrage",

} end )